=== modified file 'TODO'
--- TODO	2010-03-27 18:39:02 +0000
+++ TODO	2010-04-14 06:36:36 +0000
@@ -68,6 +68,14 @@
    A client needs manual approval on the server before it gets the
    secret
 ** TODO [#B] Support RFC 3339 time duration syntax
+** More D-Bus methods
+*** NeedsApproval(50, True) -> timeout, default approve
+    Default approval is configurable, but True by default
+    + Approval(True) -> approve sending saved
+    + Approval(False) -> Close client connection immediately
+*** NeedsPassword(50) - Timeout, default disapprove
+    + SetPass(u"gazonk", True) -> Approval, persistent
+    + Approval(False) -> Close client connection immediately
 
 * mandos.xml
 ** [[file:mandos.xml::XXX][Document D-Bus interface]]

=== modified file 'mandos'
--- mandos	2010-04-04 23:45:04 +0000
+++ mandos	2010-04-14 06:36:36 +0000
@@ -1065,6 +1065,8 @@
                 if not enabled:
                     ipc.write(u"DISABLED %s\n" % client.name)
                     return
+                # Send "NEED_APPROVAL" here and hang waiting
+                # for response?  Leave timeout to parent process?
                 ipc.write(u"SENDING %s\n" % client.name)
                 sent_size = 0
                 while sent_size < len(client.secret):

